# $Id: ettercap.spec,v 1.18 2004/02/12 10:17:51 homyakov Exp $

Name: ettercap
Version: 0.6.b
Release: alt1.1
Packager: Igor Homyakov <homyakov at altlinux dot ru>

Summary: %name is a ncurses-based sniffer/interceptor utility
Summary(ru_RU.KOI8-R):     
Source: http://%name.sourceforge.net/download/%name-%version.tar.gz
Source1: %{name}_48x48.png
Source2: %{name}_32x32.png
Source3: %{name}_16x16.png

Patch0: %name-0.6.9-alt-disable_update.patch

Url: http://%name.sourceforge.net/
License: GPL
Group: Security/Networking

# Automatically added by buildreq on Thu Feb 12 2004
BuildRequires: XFree86-libs fontconfig freetype2 glib2-devel libalternatives-devel libatk-devel libgtk+2-devel libncurses-devel libpango-devel libssl-devel libtinfo-devel openssl pkgconfig termutils

%description
ettercap is a network sniffer/interceptor/logger for ethernet LANs (both
switched or not). It supports active and passive dissection of many protocols
(even ciphered ones, like SSH and HTTPS). Data injection in an established
connection and filtering (substitute or drop a packet) on the fly is also
possible, keeping the connection sincronized. Many sniffing modes were
implemented to give you a powerful and complete sniffing suite. Plugins are
supported. It has the ability to check whether you are in a switched LAN or not,
and to use OS fingerprints (active or passive) to let you know the geometry of
the LAN. The passive scan of the lan retrives infos about: hosts in the lan,
open ports, services version, type of the host (gateway, router or simple host)
and extimated distance in hop.

%description -l ru_RU.KOI8-R
%name -      ()  ethernet .
           (switches).
    (  )  
      (HTTPS  SSH). 
 ""       
" ".      .

%package common
Summary: The common files needed by any version of the %name
Summary(ru_RU.KOI8-R):     %name 
Group: Security/Networking
PreReq: alternatives >= 0.0.6

%description common
ettercap is a network sniffer/interceptor/logger for ethernet LANs (both
switched or not). It supports active and passive dissection of many protocols
(even ciphered ones, like SSH and HTTPS). Data injection in an established
connection and filtering (substitute or drop a packet) on the fly is also
possible, keeping the connection sincronized. Many sniffing modes were
implemented to give you a powerful and complete sniffing suite. Plugins are
supported. It has the ability to check whether you are in a switched LAN or not,
and to use OS fingerprints (active or passive) to let you know the geometry of
the LAN. The passive scan of the lan retrives infos about: hosts in the lan,
open ports, services version, type of the host (gateway, router or simple host)
and extimated distance in hop.

The common files needed by any version of the %name

%description -l ru_RU.KOI8-R common
%name -      ()  ethernet .
           (switches).
    (  )  
      (HTTPS  SSH). 
 ""       
" ".      .

     %name 

%package minimal
Summary: %name without any user interface
Summary(ru_RU.KOI8-R): %name    
Group: Security/Networking
Provides: %name  = %version-%release
PreReq: %name-common = %version-%release

%description minimal
ettercap is a network sniffer/interceptor/logger for ethernet LANs (both
switched or not). It supports active and passive dissection of many protocols
(even ciphered ones, like SSH and HTTPS). Data injection in an established
connection and filtering (substitute or drop a packet) on the fly is also
possible, keeping the connection sincronized. Many sniffing modes were
implemented to give you a powerful and complete sniffing suite. Plugins are
supported. It has the ability to check whether you are in a switched LAN or not,
and to use OS fingerprints (active or passive) to let you know the geometry of
the LAN. The passive scan of the lan retrives infos about: hosts in the lan,
open ports, services version, type of the host (gateway, router or simple host)
and extimated distance in hop.

%name without GUI (ncurses or GTK).

%description -l ru_RU.KOI8-R minimal
%name -      ()  ethernet .
           (switches).
    (  )  
      (HTTPS  SSH). 
 ""       
" ".      .

%name    

%package nox
Summary: %name with ncurses interface
Summary(ru_RU.KOI8-R): %name c ncurses 
Group: Security/Networking
Provides: %name  = %version-%release
PreReq: %name-common = %version-%release

%description nox
ettercap is a network sniffer/interceptor/logger for ethernet LANs (both
switched or not). It supports active and passive dissection of many protocols
(even ciphered ones, like SSH and HTTPS). Data injection in an established
connection and filtering (substitute or drop a packet) on the fly is also
possible, keeping the connection sincronized. Many sniffing modes were
implemented to give you a powerful and complete sniffing suite. Plugins are
supported. It has the ability to check whether you are in a switched LAN or not,
and to use OS fingerprints (active or passive) to let you know the geometry of
the LAN. The passive scan of the lan retrives infos about: hosts in the lan,
open ports, services version, type of the host (gateway, router or simple host)
and extimated distance in hop.

%name with ncurses interface

%description -l ru_RU.KOI8-R nox
%name -      ()  ethernet .
           (switches).
    (  )  
      (HTTPS  SSH). 
 ""       
" ".      .

%name c curses 

%package X11
Summary: %name with GTK2 interface
Summary(ru_RU.KOI8-R): %name c GTK2 
Group: Security/Networking
Provides: %name  = %version-%release
Provides: %name-full
PreReq: %name-common = %version-%release

%description X11
ettercap is a network sniffer/interceptor/logger for ethernet LANs (both
switched or not). It supports active and passive dissection of many protocols
(even ciphered ones, like SSH and HTTPS). Data injection in an established
connection and filtering (substitute or drop a packet) on the fly is also
possible, keeping the connection sincronized. Many sniffing modes were
implemented to give you a powerful and complete sniffing suite. Plugins are
supported. It has the ability to check whether you are in a switched LAN or not,
and to use OS fingerprints (active or passive) to let you know the geometry of
the LAN. The passive scan of the lan retrives infos about: hosts in the lan,
open ports, services version, type of the host (gateway, router or simple host)
and extimated distance in hop.

%name with GTK2 interface

%description -l ru_RU.KOI8-R X11
%name -      ()  ethernet .
           (switches).
    (  )  
      (HTTPS  SSH). 
 ""       
" ".      .

%name c GTK2 

%package plugins
Summary: plugins for %name
Summary(ru_RU.KOI8-R):     %name
Group: Security/Networking
Requires: %name, ettercap-common = %version-%release

%description plugins
Plugins for ettercap packet sniffer.

%description -l ru_RU.KOI8-R plugins
      %name

%prep
%setup -q

%patch -p1

%build
# add missed doc file
%__subst "
    /HYDRA.HOWTO/ s@\(.*\)@\1 ./plugins/confusion/CONFUSION.HOWTO@
    " Makefile.in

autoreconf

%configure --disable-ncurses
%make_build
%__mv %name %name-minimal

%configure
%make_build
%__mv %name %name-nox

%configure --enable-gtk
%make_build
%__mv %name %name-X11

%make_build plug-ins

# menu
%__cat << __MENU__ >%name.menu
?package(%name): command="%_sbindir/%name -G" needs="X11" \
icon="%name.png" section="%group" title="Ettercap" \
longtitle="Ettercap is a multipurpose sniffer for switched LAN."
__MENU__

#alternatives
>%name.alternatives
for i in minimal nox X11
do
%__cat << __ALTS__ >>%name.alternatives
<group name="candidate">
    <option name="link">%_sbindir/%name</option>
    <option name="real">%_sbindir/%name-$i</option>
    <option name="weight" type="number">WEIGHT-$i</option>
</group>
__ALTS__
done

%__subst s,WEIGHT-minimal,10, %name.alternatives
%__subst s,WEIGHT-nox,20, %name.alternatives
%__subst s,WEIGHT-X11,30, %name.alternatives

%install
%define docdir %_docdir/%name-%version

%make_install install plug-ins_install DESTDIR=%buildroot DOCDIR=%docdir

%__install -p -m755 -D %name-minimal %buildroot%_sbindir/%name-minimal
%__install -p -m755 -D %name-nox     %buildroot%_sbindir/%name-nox
%__install -p -m755 -D %name-X11     %buildroot%_sbindir/%name-X11

%__install -pD -m644 %name.menu %buildroot%_menudir/%name-X11
%__install -pD -m644 %name.alternatives %buildroot/%_altdir/%name
%__install -pD -m644 %SOURCE1   %buildroot%_liconsdir/%name.png
%__install -pD -m644 %SOURCE2   %buildroot%_iconsdir/%name.png
%__install -pD -m644 %SOURCE3   %buildroot%_miconsdir/%name.png

# menus and alternatives
%post common
%register_alternatives %name -- %name
%preun common
%unregister_alternatives %name

%post minimal
%update_alternatives
%preun minimal
%remove_alternatives %_sbindir/%name-minimal

%post nox
%update_alternatives
%preun nox
%remove_alternatives %_sbindir/%name-nox

%post X11
%update_alternatives
%update_menus
%preun X11
%remove_alternatives %_sbindir/%name-X11
%postun X11
%clean_menus

%files minimal
     %_sbindir/%name-minimal

%files nox
     %_sbindir/%name-nox

%files X11
     %_sbindir/%name-X11
     %_menudir/%name-X11
     %_liconsdir/%name.png
     %_iconsdir/%name.png
     %_miconsdir/%name.png

%files common
     %_altdir/%name
%dir %_datadir/%name
     %_datadir/%name/*
     %_man8dir/*
%dir %docdir
     %docdir/AUTHORS
     %docdir/CHANGELOG
     %docdir/debug.txt
     %docdir/errors.txt
     %docdir/HISTORY
     %docdir/INSTALL
     %docdir/KNOWN-BUGS
     %docdir/PORTINGS
     %docdir/README
     %docdir/README.WIN32
     %docdir/THANKS
     %docdir/threads.txt
     %docdir/TODO

%files plugins
%dir %_libdir/%name
     %_libdir/%name/*
%doc %docdir/README.PLUGINS
     %docdir/ZARATAN.HOWTO
     %docdir/CONFUSION.HOWTO
     %docdir/HYDRA.HOWTO
     %docdir/ROPER.HOWTO

%changelog
* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.6.b-alt1.1
- Rebuilt with openssl-0.9.7d.

* Thu Feb 12 2004 Igor Homyakov <homyakov at altlinux dot ru> 0.6.b-alt1
- 0.6.b
- fixed hasher build (depends: libalternatives-devel)
- fixed depends (remove %serial)

* Fri Jun 20 2003 Stanislav Ievlev <inger at altlinux dot ru> 0.6.a-alt1.1
- move to new alternatives scheme, fixed bugs in reqs (s,comon,common,) 
  and in scripts (update_menus must be in X11 package)

* Mon May 05 2003 Igor Homyakov <homyakov at altlinux dot ru> 0.6.a-alt1
- 0.6.a
- remove COPING (GPL license) file
- added subpackage with experimental GTK2 support (new feature)
- splited to subpackages: common, minimal, nox, X11
- created menu file and icon
- added patch for disable autoupdate code

* Sat Nov 16 2002 Igor Homyakov <homyakov at altlinux dot ru> 0.6.7-alt3
- removed dependency to wget
- added ownership for directories

* Mon Oct 21 2002 Stanislav Ievlev <inger at altlinux dot ru> 0.6.7-alt2
- cleanup spec
- added packager Tag
- rebuild with gcc3.

* Wed Jul 17 2002 Igor Homyakov <homyakov at altlinux dot ru> 0.6.7-alt1
- 0.6.7

* Thu May 30 2002 Igor Homyakov <homyakov at altlinux dot ru> 0.6.6.6-alt1
- 0.6.6.6

* Mon Apr 15 2002 Igor Homyakov <homyakov at altlinux dot ru> 0.6.4-alt1
- build 0.6.4
- spec file cleanup

* Thu Jan 31 2002 Igor Homyakov <homyakov at altlinux dot ru> alt2
- Cleanup spec file

* Sat Dec 29 2001 Igor Homyakov <homyakov at altlinux dot ru> alt1
- build 0.6.3.1

* Wed Nov 14 2001 Igor Homyakov <homyakov at altlinux dot ru> alt1
- build package for ALTLinux
